commit:     87911406e7fb084bbe44c1ffa2625b1877c5c3aa
Author:     Xiangzhe <xiangzhedev <AT> gmail <DOT> com>
AuthorDate: Sun Mar  1 12:29:13 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar  7 01:32:59 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87911406

sys-block/zram-init: add 13.2

Bug: https://bugs.gentoo.org/970762
Signed-off-by: Xiangzhe <xiangzhedev <AT> gmail.com>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/187
Merges: https://codeberg.org/gentoo/gentoo/pulls/187
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-block/zram-init/Manifest              |  1 +
 sys-block/zram-init/zram-init-13.2.ebuild | 75 +++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/sys-block/zram-init/Manifest b/sys-block/zram-init/Manifest
index dd3b56779151..bbe77f4d9d3a 100644
--- a/sys-block/zram-init/Manifest
+++ b/sys-block/zram-init/Manifest
@@ -2,3 +2,4 @@ DIST zram-init-12.2.1.tar.gz 21457 BLAKE2B 
d4b7c4b8a094e3ce13ec44a497efe205388e7
 DIST zram-init-12.2.2.tar.gz 21447 BLAKE2B 
28fd3891b3a58b67705d016c7bff387020446dcd0bf9cd97cd6df0ca66b6a0b2841f660427d21e057e66e28dee1f291334372a8184e4fc23297203081ce0408e
 SHA512 
74de3b26a6e30b2112fa1a1f903103a4363d594600f069d6d57bd01d5aadb42d820e2fb6b35415c5de1057b8eb57e3eb78ee177f8cb54317b5f04bb73f820a4b
 DIST zram-init-13.0.1.tar.gz 21264 BLAKE2B 
e57f22e16209fb81cb10797f2fc739aa58adf699c6a83f13aaece2e9da74f75882984fa96c34e3b531619634c12a13e5f8ab930ad527da6d38930e75c7fdff39
 SHA512 
b6c72d6857d6d6a8b7017c0a0435e0c6bbc937bbae62644047399b2fc6322a723097df10358f203b1413e9cddcfed3840a462090c1ce2d61711585aef12b1437
 DIST zram-init-13.0.tar.gz 21233 BLAKE2B 
2966930d11f226ef6a8f0fcbf235eed86c3f5955e3cc4dd648c239254275b5f0faef1fc25339766eb5a81c5d7eba15a0d41096dd9c3fc02dc8e875967ecc0cae
 SHA512 
66345d24ff25fff022e8326e04de0fdaac06a4423bd59bf80a409ce0fc94eb8ebb707129c5bf0ec4f5a922f6f835d5bed06a8561027d03c4d4e8f8659d25d01b
+DIST zram-init-13.2.tar.gz 21861 BLAKE2B 
99bc2950d88905d5082350a0f4a4438d1f17506980c560106bfbbd04cea6b22bb4b881eba51e16e7cf2b6158e33fa7f7467de16b890c0ab9711f0fe02244a454
 SHA512 
d2e851831f8d4fe10aab7745cfc1bde1fd591062c8a9b4d3b218806e5342ae00ac0be09e5d95f9ed99d4c40b73aaca387339bcf7c031936222f297ba6674f19c

diff --git a/sys-block/zram-init/zram-init-13.2.ebuild 
b/sys-block/zram-init/zram-init-13.2.ebuild
new file mode 100644
index 000000000000..67bbec4db248
--- /dev/null
+++ b/sys-block/zram-init/zram-init-13.2.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit prefix readme.gentoo-r1
+
+DESCRIPTION="Scripts to support compressed swap devices or ramdisks with zRAM"
+HOMEPAGE="https://github.com/vaeth/zram-init/";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/vaeth/${PN}.git";
+else
+       SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+RESTRICT="binchecks strip test"
+
+BDEPEND="sys-devel/gettext"
+
+RDEPEND="
+       >=app-shells/push-2.0
+       >=sys-apps/util-linux-2.41
+       virtual/libintl
+       || ( sys-apps/openrc sys-apps/systemd )
+"
+
+DISABLE_AUTOFORMATTING=true
+DOC_CONTENTS="\
+To use zram-init, activate it in your kernel and add it to the default
+runlevel:
+       rc-update add zram-init default
+If you use systemd enable zram_swap, zram_tmp, and/or zram_var_tmp with
+systemctl. You might need to modify the following file depending on the number
+of devices that you want to create:
+       /etc/modprobe.d/zram.conf.
+If you use the \$TMPDIR as zram device with OpenRC, you should add zram-init to
+the boot runlevel:
+       rc-update add zram-init boot
+Still for the same case, you should add in the OpenRC configuration file for
+the services using \$TMPDIR the following line:
+       rc_need=\"zram-init\""
+
+src_prepare() {
+       default
+
+       hprefixify "${S}/man/${PN}.8"
+
+       hprefixify -e "s%(}|:)(/(usr/)?sbin)%\1${EPREFIX}\2%g" \
+               "${S}/sbin/${PN}.in"
+
+       hprefixify -e "s%( |=)(/tmp)%\1${EPREFIX}\2%g" \
+               "${S}/systemd/system"/* \
+               "${S}/openrc"/*/*
+}
+
+src_compile() {
+       emake PREFIX="${EPREFIX}/usr" MODIFY_SHEBANG=FALSE
+}
+
+src_install() {
+       einstalldocs
+       readme.gentoo_create_doc
+
+       emake DESTDIR="${ED}" PREFIX="/usr" BINDIR="${ED}/sbin" 
SYSCONFDIR="/etc" \
+               SYSTEMDDIR="${ED}/lib/systemd/system" install
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to